- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CSplashScreen Class Reference

`#include <vstcontrols.h>`

Inheritance diagram for CSplashScreen:

List of all members.

## Public Member Functions
| CSplashScreen (const CRect &size, CControlListener *listener, long tag, CBitmap *background, CRect &toDisplay, CPoint &offset)
virtual | ~CSplashScreen ()
virtual void | draw (CDrawContext *)
| called if the view should draw itself
virtual bool | hitTest (const CPoint &where, const long buttons=-1)
| check if where hits this view
virtual void | mouse (CDrawContext *pContext, CPoint &where, long button=-1)
| called if a mouse click event occurs
virtual void | unSplash (CDrawContext *pContext=0)
void | setBitmapTransparency (unsigned char transparency)
unsigned char | getBitmapTransparency () const
const CPoint & | getOffset () const
## Protected Attributes
CRect | toDisplay
CRect | keepSize
CPoint | offset
unsigned char | bitmapTransparency

## Detailed Description

One click on its activated region and its pixmap is displayed, in this state the other control can not be used, an another click on the displayed area reinstalls the normal frame. This can be used to display a help view over the other views.

## Constructor & Destructor Documentation

CSplashScreen::CSplashScreen | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | CBitmap * | background,
|  | CRect & | toDisplay,
|  | CPoint & | offset
| ) |

CSplashScreen::~CSplashScreen | ( |  | ) | `[virtual]`

## Member Function Documentation

void CSplashScreen::draw | ( | CDrawContext * |  | ) | `[virtual]`

| called if the view should draw itself Implements CControl.

unsigned char CSplashScreen::getBitmapTransparency | ( |  | ) | const`[inline]`

const CPoint& CSplashScreen::getOffset | ( |  | ) | const`[inline]`

bool CSplashScreen::hitTest | ( | const CPoint & | where,
|  | const long | buttons = `-1`
| ) | `[virtual]`

| check if where hits this view Reimplemented from CView.

void CSplashScreen::mouse | ( | CDrawContext * | pContext,
|  | CPoint & | where,
|  | long | button = `-1`
| ) | `[virtual]`

| called if a mouse click event occurs Reimplemented from CView.

void CSplashScreen::setBitmapTransparency | ( | unsigned char | transparency | ) |

void CSplashScreen::unSplash | ( | CDrawContext * | pContext = `0` | ) | `[virtual]`

## Member Data Documentation

unsigned char CSplashScreen::bitmapTransparency`[protected]`

CRect CSplashScreen::keepSize`[protected]`

CPoint CSplashScreen::offset`[protected]`

CRect CSplashScreen::toDisplay`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.